basic_iterator.hpp File Reference

## Classes

struct | ranges::basic_iterator< Cur >
struct | ranges::basic_mixin< T >
struct | std::iterator_traits<::ranges::basic_iterator< Cur > >

## Functions

template<typename Cur , typename Cur2 >
CPP_TEMPLATE_AUX_0 | ranges::c (requires detail::sentinel_for_cursor< Cur2, Cur >) ccconstexpr bool operator

## Variables

constexpr get_cursor_fn | ranges::get_cursor {}